Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBulkMailSubscriptionUser Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $id=-1)
| get ( $id=-1)
| addressExists ( $email)
| eMail ()
| id ()
| categoryID ()
| setEMail ( $value)
| setEncryptetPassword ( $value)
| subscriptions ( $asObjects=true)
| subscribe ( $categoryID)
| unsubscribe ( $category)
| addDelay ( $category, $delay)
| validate ( $email, $password)

## Static Public Member Functions
| getByEmail ( $email)

## Public Attributes
| $ID
| $EMail
| $Password
| $CategoryID

## Detailed Description

! eZBulkMail eZBulkMailSubscriptionUser documentation.

Example code:

Definition at line 39 of file ezbulkmailsubscriptionuser.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBulkMailSubscriptionUser::__construct | ( |  | $id = `-1` | ) |

Definition at line 43 of file ezbulkmailsubscriptionuser.php.

References $categoryID, $ID, and $id.

## Member Function Documentation

## ◆ addDelay()

eZBulkMailSubscriptionUser::addDelay | ( |  | $category,
|  |  | $delay
| ) |  |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 322 of file ezbulkmailsubscriptionuser.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ addressExists()

eZBulkMailSubscriptionUser::addressExists | ( |  | $email | ) |

Returns true if the address exists. False if not.

Definition at line 181 of file ezbulkmailsubscriptionuser.php.

References $db, and eZDB\globalDatabase().

## ◆ categoryID()

eZBulkMailSubscriptionUser::categoryID | ( |  | ) |

Returns the category id.

Definition at line 222 of file ezbulkmailsubscriptionuser.php.

References $CategoryID.

## ◆ delete()

eZBulkMailSubscriptionUser::delete | ( |  | $id = `-1` | ) |

Deletes a eZBulkMail object from the database.

Definition at line 97 of file ezbulkmailsubscriptionuser.php.

References $db, $ID, $id, $result, $results, and eZDB\globalDatabase().

## ◆ eMail()

eZBulkMailSubscriptionUser::eMail | ( |  | ) |

Returns the email address of this user.

Definition at line 206 of file ezbulkmailsubscriptionuser.php.

References $EMail.

## ◆ get()

eZBulkMailSubscriptionUser::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 124 of file ezbulkmailsubscriptionuser.php.

References $db, $id, eZDB\globalDatabase(), and Password.

## ◆ getByEmail()

eZBulkMailSubscriptionUser::getByEmail | ( |  | $email | ) |
| static

Returns object with the email if it exists. If it doesn't and the address is valid a new object is created and returned.

Definition at line 148 of file ezbulkmailsubscriptionuser.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ id()

eZBulkMailSubscriptionUser::id | ( |  | ) |

Returns the email address of this user.

Definition at line 214 of file ezbulkmailsubscriptionuser.php.

References $ID.

## ◆ setEMail()

eZBulkMailSubscriptionUser::setEMail | ( |  | $value | ) |

Sets the email address. Returns true if the address is set and valid, false othervise.

Definition at line 231 of file ezbulkmailsubscriptionuser.php.

## ◆ setEncryptetPassword()

eZBulkMailSubscriptionUser::setEncryptetPassword | ( |  | $value | ) |

Sets an allready encryptet password.

Definition at line 245 of file ezbulkmailsubscriptionuser.php.

References Password.

## ◆ store()

eZBulkMailSubscriptionUser::store | ( |  | ) |

Stores a eZBulkMail object to the database.

Definition at line 56 of file ezbulkmailsubscriptionuser.php.

References $db, $result, eZDB\globalDatabase(), and Password.

## ◆ subscribe()

eZBulkMailSubscriptionUser::subscribe | ( |  | $categoryID | ) |

Subscribes this address to a category.

Definition at line 269 of file ezbulkmailsubscriptionuser.php.

References $categoryID, $db, $result, and eZDB\globalDatabase().

## ◆ subscriptions()

eZBulkMailSubscriptionUser::subscriptions | ( |  | $asObjects = `true` | ) |

Returns all the categories that this user is subscribed to as an array of eZBulkMailCategory objects. If you just want the ID's supply false as the first argument.

Definition at line 253 of file ezbulkmailsubscriptionuser.php.

References $db, $result, and eZDB\globalDatabase().

## ◆ unsubscribe()

eZBulkMailSubscriptionUser::unsubscribe | ( |  | $category | ) |

Unsubscribes this user from the given category. If the supplied argument is true, the user is unsubscibed from all categories.

Definition at line 305 of file ezbulkmailsubscriptionuser.php.

References $category, $categoryID, $db, and eZDB\globalDatabase().

## ◆ validate()

eZBulkMailSubscriptionUser::validate | ( |  | $email,
|  |  | $password
| ) |  |

Checks if the email and passwords have a match. Returns true if yes, and false if not.

Definition at line 342 of file ezbulkmailsubscriptionuser.php.

References $db, $ret, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $CategoryID

eZBulkMailSubscriptionUser::$CategoryID

Definition at line 359 of file ezbulkmailsubscriptionuser.php.

Referenced by categoryID().

## ◆ $EMail

eZBulkMailSubscriptionUser::$EMail

Definition at line 357 of file ezbulkmailsubscriptionuser.php.

Referenced by eMail().

## ◆ $ID

eZBulkMailSubscriptionUser::$ID

Definition at line 356 of file ezbulkmailsubscriptionuser.php.

Referenced by __construct(), delete(), and id().

## ◆ $Password

eZBulkMailSubscriptionUser::$Password

Definition at line 358 of file ezbulkmailsubscriptionuser.php.

The documentation for this class was generated from the following file:

- ezbulkmailsubscriptionuser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.